Package org.apache.qpid.proton.amqp

# Class Symbol

java.lang.Object
org.apache.qpid.proton.amqp.Symbol

All Implemented Interfaces:
  `CharSequence`, `Comparable<Symbol>`

public final class Symbol extends Object implements Comparable<Symbol>, CharSequence

## Method Summary

Modifier and Type
Method
Description
`char`
`charAt(int index)`
`int`
`compareTo(Symbol o)`
`static Symbol`
`getSymbol(String symbolVal)`
`int`
`hashCode()`
`int`
`length()`
`CharSequence`
`subSequence(int beginIndex, int endIndex)`
`String`
`toString()`
`static Symbol`
`valueOf(String symbolVal)`
`void`
`writeTo(ByteBuffer buffer)`
`void`
`writeTo(WritableBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

## Method Details

### length

public int length()

Specified by:
  `length` in interface `CharSequence`

### compareTo

public int compareTo(Symbol o)

Specified by:
  `compareTo` in interface `Comparable<Symbol>`

### charAt

public char charAt(int index)

Specified by:
  `charAt` in interface `CharSequence`

### subSequence

public CharSequence subSequence(int beginIndex, int endIndex)

Specified by:
  `subSequence` in interface `CharSequence`

### toString

public String toString()

Specified by:
  `toString` in interface `CharSequence`
Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### valueOf

public static Symbol valueOf(String symbolVal)

### getSymbol

public static Symbol getSymbol(String symbolVal)

### writeTo

public void writeTo(WritableBuffer buffer)

### writeTo

public void writeTo(ByteBuffer buffer)